;;;2012-12-22 updated, by Careone <careone@wo.com.cn>
;; Chinese codings settings: zh_CN (Chinese, China)
;
;; Unix/Linux:  
;; set-language-environment: both UTF-8 or Chinese-GB are ok, and recommend
;; set to UTF-8, other codings settings recommend set to utf-8 
;
;; Windows:
;; set-language-environment: recommend set to Chinese-GB
;; other codings settings recommend set to euc-cn 
;
;; important !!! decode order for zh_CN (Chinese, China): 
;; the last line of prefer-coding-system value utf-8 decode first, 
;; and first line cp950 (means Taiwan big5) decode last!
;; so care with your orders!
;; utf-16le-with-signature in Emacs means unicode in Windows,
;
;; codings for Emacs Linux/zh_CN
;(set-language-environment 'Chinese-GB)
(set-language-environment 'UTF-8)

(set-keyboard-coding-system 'utf-8)
(set-clipboard-coding-system 'utf-8)
(set-terminal-coding-system 'utf-8)
(set-buffer-file-coding-system 'utf-8)
(set-selection-coding-system 'utf-8)
(modify-coding-system-alist 'process "*" 'utf-8)
(setq default-process-coding-system '(utf-8 . utf-8))
(setq-default pathname-coding-system 'utf-8)
(setq file-name-coding-system 'utf-8)
;
(prefer-coding-system 'cp950)
(prefer-coding-system 'gb2312)
(prefer-coding-system 'cp936)
(prefer-coding-system 'gb18030)
;(prefer-coding-system 'utf-16le-with-signature)
(prefer-coding-system 'utf-16)
(prefer-coding-system 'utf-8)
;;